org.apache.datasketches.tuple.aninteger

## Class IntegerSummaryFactory

- java.lang.Object
- - org.apache.datasketches.tuple.aninteger.IntegerSummaryFactory

All Implemented Interfaces:
  SummaryFactory<IntegerSummary>

    public class IntegerSummaryFactory
    extends Object
    implements SummaryFactory<IntegerSummary>

Factory for IntegerSummary.

Author:
  Lee Rhodes

### Constructor Summary

Constructors
Constructor and Description
`IntegerSummaryFactory(IntegerSummary.Mode summaryMode)` Creates an instance of IntegerSummaryFactory with a given mode

### Method Summary

All Methods Instance Methods Concrete Methods
`IntegerSummary` `newSummary()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntegerSummaryFactory

    public IntegerSummaryFactory(IntegerSummary.Mode summaryMode)

Creates an instance of IntegerSummaryFactory with a given mode

Parameters:
  `summaryMode` - summary mode

### Method Detail

#### newSummary

    public IntegerSummary newSummary()

Specified by:
  `newSummary` in interface `SummaryFactory<IntegerSummary>`
Returns:
  new instance of Summary